summaryrefslogtreecommitdiffstats
path: root/audio/jack-audio-connection-kit
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:48 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:48 +0200
commitc4ed940db058a6f8b650bca80e38b78753a8396a (patch)
tree60348b4424ab9b002297271c4f2d0ccd5e2eec8d /audio/jack-audio-connection-kit
parent5c83c08c474c277288615d9277ad8f6bf15f585d (diff)
downloadslackbuilds-c4ed940db058a6f8b650bca80e38b78753a8396a.tar.gz
slackbuilds-c4ed940db058a6f8b650bca80e38b78753a8396a.tar.xz
audio/jack-audio-connection-kit: Moved from multimedia
Diffstat (limited to 'audio/jack-audio-connection-kit')
-rw-r--r--audio/jack-audio-connection-kit/README18
-rw-r--r--audio/jack-audio-connection-kit/jack-audio-connection-kit.SlackBuild104
-rw-r--r--audio/jack-audio-connection-kit/jack-audio-connection-kit.info8
-rw-r--r--audio/jack-audio-connection-kit/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/audio/jack-audio-connection-kit/README b/audio/jack-audio-connection-kit/README
new file mode 100644
index 0000000000..98f7449221
--- /dev/null
+++ b/audio/jack-audio-connection-kit/README
@@ -0,0 +1,18 @@
+JACK is a low-latency audio server, written primarily for Linux. It can
+connect a number of different applications to an audio device, as well
+as allow them to share audio among themselves. Its clients can run in
+their own processes (ie. as a normal application) or they can run within
+a JACK server instance (i.e. as a "plugin").
+
+Jack uses /dev/shm as a temporary directory for its processes; this is a
+relatively new change, as it used to use /mnt/ramfs. You may pass an
+alternate location as JACKTMP when executing the script. For example:
+ JACKTMP=/mnt/tmp jack-audio-connection-kit.SlackBuild
+Assuming you use the default /dev/shm as temporary directory, be sure you
+have an appropriate line in /etc/fstab to mount it:
+ tmpfs /dev/shm tmpfs defaults 0 0
+If you don't accept the script's default, you'll need to have the appropriate
+mountpoint set up in fstab and mounted, but a discussion of how to do that
+is outside the scope of this document.
+
+jack optionally uses libsndfile which is also available at SlackBuilds.org.
diff --git a/audio/jack-audio-connection-kit/jack-audio-connection-kit.SlackBuild b/audio/jack-audio-connection-kit/jack-audio-connection-kit.SlackBuild
new file mode 100644
index 0000000000..d55ebf4b3a
--- /dev/null
+++ b/audio/jack-audio-connection-kit/jack-audio-connection-kit.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for jack-audio-connection-kit
+
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms added :)
+
+PRGNAM=jack-audio-connection-kit
+VERSION=0.109.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Jack needs a temp directory using tmpfs as filesystem.
+# By default there is not one available on a base Slackware system.
+# Since 0.109.0 /dev/shm is the recommended default location, but
+# you can configure it to use some other location if you wish.
+JACKTMP=${JACKTMP:-/dev/shm}
+
+if [ "$JACKTMP" != '/dev/shm' ]; then
+ mkdir -p $PKG/$JACKTMP
+ install -d -m 1777 $PKG/$JACKTMP
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-html-dir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --enable-resize \
+ --enable-timestamps \
+ --with-default-tmpdir=$JACKTMP \
+ --enable-stripped-jackd \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/jack-audio-connection-kit/jack-audio-connection-kit.info b/audio/jack-audio-connection-kit/jack-audio-connection-kit.info
new file mode 100644
index 0000000000..2c4965cc1d
--- /dev/null
+++ b/audio/jack-audio-connection-kit/jack-audio-connection-kit.info
@@ -0,0 +1,8 @@
+PRGNAM="jack-audio-connection-kit"
+VERSION="0.109.2"
+HOMEPAGE="http://jackaudio.org"
+DOWNLOAD="http://jackaudio.org/downloads/jack-audio-connection-kit-0.109.2.tar.gz"
+MD5SUM="4d8f795a6c566b9753a86038367e7e32"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/audio/jack-audio-connection-kit/slack-desc b/audio/jack-audio-connection-kit/slack-desc
new file mode 100644
index 0000000000..45bfa4a5b0
--- /dev/null
+++ b/audio/jack-audio-connection-kit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------|
+jack-audio-connection-kit: jack-audio-connection-kit (Jack Sound Server)
+jack-audio-connection-kit:
+jack-audio-connection-kit: JACK is a low-latency audio server written mainly
+jack-audio-connection-kit: for Linux. It can connect a number of different
+jack-audio-connection-kit: applications to an audio device as well as allow
+jack-audio-connection-kit: them to share audio among themselves.
+jack-audio-connection-kit:
+jack-audio-connection-kit: Homepage: http://jackaudio.org
+jack-audio-connection-kit:
+jack-audio-connection-kit:
+jack-audio-connection-kit: